<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimerDefs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimerDefs.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer0_defs_8h_source.html">kmTimer0Defs.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer1_defs_8h_source.html">kmTimer1Defs.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer2_defs_8h_source.html">kmTimer2Defs.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer3_defs_8h_source.html">kmTimer3Defs.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer4_defs_8h_source.html">kmTimer4Defs.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer5_defs_8h_source.html">kmTimer5Defs.h</a>&quot;</code><br />
</div>
<p><a href="km_timer_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ac3e5a65645a34d1b863e5d5edb18cda3" id="r_ac3e5a65645a34d1b863e5d5edb18cda3"><td class="memItemLeft" align="right" valign="top"><a id="ac3e5a65645a34d1b863e5d5edb18cda3" name="ac3e5a65645a34d1b863e5d5edb18cda3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_TOP_1</b>&#160;&#160;&#160;0xFFu</td></tr>
<tr class="memdesc:ac3e5a65645a34d1b863e5d5edb18cda3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (255) <br /></td></tr>
<tr class="separator:ac3e5a65645a34d1b863e5d5edb18cda3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d9b8fa48709a46ab6b08dae9448078f" id="r_a4d9b8fa48709a46ab6b08dae9448078f"><td class="memItemLeft" align="right" valign="top"><a id="a4d9b8fa48709a46ab6b08dae9448078f" name="a4d9b8fa48709a46ab6b08dae9448078f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_TOP_2</b>&#160;&#160;&#160;0x0FFFu</td></tr>
<tr class="memdesc:a4d9b8fa48709a46ab6b08dae9448078f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (4095) <br /></td></tr>
<tr class="separator:a4d9b8fa48709a46ab6b08dae9448078f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addcf737b04dbddb61c2746df1d48b64f" id="r_addcf737b04dbddb61c2746df1d48b64f"><td class="memItemLeft" align="right" valign="top"><a id="addcf737b04dbddb61c2746df1d48b64f" name="addcf737b04dbddb61c2746df1d48b64f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_TOP_3</b>&#160;&#160;&#160;0xFFFFu</td></tr>
<tr class="memdesc:addcf737b04dbddb61c2746df1d48b64f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (65535) <br /></td></tr>
<tr class="separator:addcf737b04dbddb61c2746df1d48b64f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a06431ee77d5cb04cc2fe62c3e8ecd" id="r_a26a06431ee77d5cb04cc2fe62c3e8ecd"><td class="memItemLeft" align="right" valign="top"><a id="a26a06431ee77d5cb04cc2fe62c3e8ecd" name="a26a06431ee77d5cb04cc2fe62c3e8ecd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_TOP_4</b>&#160;&#160;&#160;0x03FFu</td></tr>
<tr class="memdesc:a26a06431ee77d5cb04cc2fe62c3e8ecd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (1023) <br /></td></tr>
<tr class="separator:a26a06431ee77d5cb04cc2fe62c3e8ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04f810cdda0a757c02bfe3bfdc3d43b1" id="r_a04f810cdda0a757c02bfe3bfdc3d43b1"><td class="memItemLeft" align="right" valign="top"><a id="a04f810cdda0a757c02bfe3bfdc3d43b1" name="a04f810cdda0a757c02bfe3bfdc3d43b1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_TOP_5</b>&#160;&#160;&#160;0x01FFu</td></tr>
<tr class="memdesc:a04f810cdda0a757c02bfe3bfdc3d43b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (511) <br /></td></tr>
<tr class="separator:a04f810cdda0a757c02bfe3bfdc3d43b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a787e6777dd5a2b4e498d603d30c23bf9" id="r_a787e6777dd5a2b4e498d603d30c23bf9"><td class="memItemLeft" align="right" valign="top"><a id="a787e6777dd5a2b4e498d603d30c23bf9" name="a787e6777dd5a2b4e498d603d30c23bf9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_MID_1</b>&#160;&#160;&#160;0x7Fu</td></tr>
<tr class="memdesc:a787e6777dd5a2b4e498d603d30c23bf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (127) <br /></td></tr>
<tr class="separator:a787e6777dd5a2b4e498d603d30c23bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8844e7d2a786ab7f1be59ca36475010" id="r_ad8844e7d2a786ab7f1be59ca36475010"><td class="memItemLeft" align="right" valign="top"><a id="ad8844e7d2a786ab7f1be59ca36475010" name="ad8844e7d2a786ab7f1be59ca36475010"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_MID_2</b>&#160;&#160;&#160;0x07FFu</td></tr>
<tr class="memdesc:ad8844e7d2a786ab7f1be59ca36475010"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (2047) <br /></td></tr>
<tr class="separator:ad8844e7d2a786ab7f1be59ca36475010"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5d0cb0398e739d6de912f0be341688" id="r_a1c5d0cb0398e739d6de912f0be341688"><td class="memItemLeft" align="right" valign="top"><a id="a1c5d0cb0398e739d6de912f0be341688" name="a1c5d0cb0398e739d6de912f0be341688"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_MID_3</b>&#160;&#160;&#160;0x7FFFu</td></tr>
<tr class="memdesc:a1c5d0cb0398e739d6de912f0be341688"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (32767) <br /></td></tr>
<tr class="separator:a1c5d0cb0398e739d6de912f0be341688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0e1862b01501d9b7ff623564c76f702" id="r_ab0e1862b01501d9b7ff623564c76f702"><td class="memItemLeft" align="right" valign="top"><a id="ab0e1862b01501d9b7ff623564c76f702" name="ab0e1862b01501d9b7ff623564c76f702"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_MID_4</b>&#160;&#160;&#160;0x01FFu</td></tr>
<tr class="memdesc:ab0e1862b01501d9b7ff623564c76f702"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (511) <br /></td></tr>
<tr class="separator:ab0e1862b01501d9b7ff623564c76f702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0322f1ef378611f962410448f69784ef" id="r_a0322f1ef378611f962410448f69784ef"><td class="memItemLeft" align="right" valign="top"><a id="a0322f1ef378611f962410448f69784ef" name="a0322f1ef378611f962410448f69784ef"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_MID_5</b>&#160;&#160;&#160;0x00FFu</td></tr>
<tr class="memdesc:a0322f1ef378611f962410448f69784ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers top value (255) <br /></td></tr>
<tr class="separator:a0322f1ef378611f962410448f69784ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a4c8cf84fb8cc96685de933f429df9c" id="r_a6a4c8cf84fb8cc96685de933f429df9c"><td class="memItemLeft" align="right" valign="top"><a id="a6a4c8cf84fb8cc96685de933f429df9c" name="a6a4c8cf84fb8cc96685de933f429df9c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_BOTOM</b>&#160;&#160;&#160;0x00u</td></tr>
<tr class="memdesc:a6a4c8cf84fb8cc96685de933f429df9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timers bottom value. <br /></td></tr>
<tr class="separator:a6a4c8cf84fb8cc96685de933f429df9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer_defs_8h.html">kmTimerDefs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
